<!DOCTYPE html>
<html>
  <head>
    <title>Spoiled Potates</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>

<% if user_signed_in? %>
Logged in as <%= current_user.email%> [<%= link_to 'Logout', 
destroy_user_session_path, :method => :delete%>]
<% end %>

<% if not flash.empty? %> 
<hr>
<h3>Notifications:</h3>
<% flash.each do |type, msg| %>
  <div>
    <%= msg %>
  </div>
<% end %>
<% end %>
</body>
</html>
